Subject: bug#75632: 31.0.50; igc: Crash report

From: Eli Zaretskii <[email-masked]>
Date: Wed, 22 Jan 2025 18:12:37 +0200

> Date: Wed, 22 Jan 2025 15:55:05 +0000
> From: Pip Cet <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> However, I also don't understand how a subr, which is defined by DEFUN,
> is different from "a DEFUN".  Did you mean to write "defun"?

I guess so.

> >> @@ -8280,6 +8284,7 @@ add_user_signal (int sig, const char *name)
> >>    p = xmalloc (sizeof *p);
> >>    p->sig = sig;
> >>    p->name = xstrdup (name);
> >> +  p->debug_on_event = !strcmp (p->name, "sigusr2");
> >
> > Hmm... why only sigusr2? what about sigusr1?
> 
> The default behavior is for sigusr2 to enter the debugger and for
> sigusr1 to execute its binding, which is 'ignore.  Changing SIGUSR1 to
> also enter the debugger by default would be a breaking change and
> require significant documentation adjustments.  (Also, why?)

I guess I was confused and thought that both SIGUSR1 and SIGUSR2 were
supposed to start the debugger.